Skip to navigation

Get Current Customer

Identify signed-in customers securely by requesting and decoding a BigCommerce-generated JWT.

The response body will contain a JWT.

Note

The Send a Test Request feature is not currently supported for this endpoint.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

app_client_idstringRequired

This is the client ID of an app-level API account you generate when you create an app in the Developer Portal.

Response

A JWT to decode using the client secret that corresponds with the app client ID you sent as a query parameter.

After you decode the JWT, the payload resembles the following:

  {
    "customer": {
      "id": 4927,
      "email": "john.doe@gmail.com",
      "group_id": "6",
    },
    "iss": "bc/apps",
    "sub": "abc123",
    "iat": 1480831863,
    "exp": 1480832763,
    "version": 1,
    "aud": "6sv16tfx3j5gsopm42ss5dd67g2srvq",
    "application_id": "6sv16tasdgr2b5hs5dd67g2srvq",
    "store_hash": "abc123",
    "operation": "current_customer"
  }